module.exports = {
  docs: [
    {
      title: 'Get Started',
      path: '/docs/get-started',
    },
    {
      title: 'Advance',
      path: '/docs/advance',
    },
    {
      title: 'Selection',
      path: '/docs/selection',
    },
    {
      title: 'Inline Editing',
      path: '/docs/inline-editing',
    },
    {
      title: 'Glossary',
      path: '/docs/glossary',
    },
    {
      title: 'FAQ',
      path: '/docs/faq',
    },
  ],
  api: [
    {
      title: 'BaseTable',
      path: '/api/basetable',
    },
    {
      title: 'Column',
      path: '/api/column',
    },
    {
      title: 'AutoResizer',
      path: '/api/autoresizer',
    },
    {
      title: 'ColumnResizer',
      path: '/api/columnresizer',
    },
  ],
  examples: [
    {
      title: 'Default',
      path: '/examples/default',
    },
    {
      title: 'JSX Column',
      path: '/examples/jsx-column',
    },
    {
      title: 'Custom Cell',
      path: '/examples/custom-cell',
    },
    {
      title: 'Dynamic Row Height',
      path: '/examples/dynamic-row-heights',
    },
    {
      title: 'Tooltip Cell',
      path: '/examples/tooltip-cell',
    },
    {
      title: 'Auto Resize',
      path: '/examples/auto-resize',
    },
    {
      title: 'Fixed Table',
      path: '/examples/fixed',
    },
    {
      title: 'Frozen Columns',
      path: '/examples/frozen-columns',
    },
    {
      title: 'Frozen Rows',
      path: '/examples/frozen-rows',
    },
    {
      title: 'Sticky Rows',
      path: '/examples/sticky-rows',
    },
    {
      title: '10000 Rows',
      path: '/examples/10000-rows',
    },
    {
      title: 'Disabled',
      path: '/examples/disabled',
    },
    {
      title: 'Resizable',
      path: '/examples/resizable',
    },
    {
      title: 'Hide Header',
      path: '/examples/hide-header',
    },
    {
      title: 'Draggable Rows',
      path: '/examples/draggable-rows',
    },
    {
      title: 'Draggable Rows with frozen columns',
      path: '/examples/draggable-rows-frozen',
    },
    {
      title: 'Multi Header',
      path: '/examples/multi-header',
    },
    {
      title: 'Infinite Loading',
      path: '/examples/infinite-loading',
    },
    {
      title: 'Infinite Loading with Loader',
      path: '/examples/infinite-loading-loader',
    },
    {
      title: 'Col Span',
      path: '/examples/col-span',
    },
    {
      title: 'Row Span',
      path: '/examples/row-span',
    },
    {
      title: 'Custom Components',
      path: '/examples/components',
    },
    {
      title: 'Custom Row',
      path: '/examples/row-renderer',
    },
    {
      title: 'Custom Header',
      path: '/examples/header-renderer',
    },
    {
      title: 'Custom Footer',
      path: '/examples/footer-renderer',
    },
    {
      title: 'Custom Empty',
      path: '/examples/empty-renderer',
    },
    {
      title: 'Custom Overlay',
      path: '/examples/overlay-renderer',
    },
    {
      title: 'Custom Width/Height',
      path: '/examples/width-height',
    },
    {
      title: 'Custom Scrollbar',
      path: '/examples/scrollbar',
    },
    {
      title: 'Max Height',
      path: '/examples/max-height',
    },
    {
      title: 'Custom Row/Header Height',
      path: '/examples/row-header-height',
    },
    {
      title: 'Row Event Handlers',
      path: '/examples/row-event-handlers',
    },
    {
      title: 'Sortable',
      path: '/examples/sortable',
    },
    {
      title: 'Multi Sort',
      path: '/examples/multi-sort',
    },
    {
      title: 'Selection',
      path: '/examples/selection',
    },
    {
      title: 'Expand - Uncontrolled',
      path: '/examples/expand-uncontrolled',
    },
    {
      title: 'Expand - Controlled',
      path: '/examples/expand-controlled',
    },
    {
      title: 'Detail View',
      path: '/examples/detail-view',
    },
    {
      title: 'Use IsScrolling',
      path: '/examples/is-scrolling',
    },
    {
      title: 'Custom RowKey',
      path: '/examples/row-key',
    },
    {
      title: 'Extra Props',
      path: '/examples/extra-props',
    },
    {
      title: 'ExpandIcon Props',
      path: '/examples/expand-icon-props',
    },
    {
      title: 'Tag Name',
      path: '/examples/tag-name',
    },
    {
      title: 'Inline Editing',
      path: '/examples/inline-editing',
    },
    {
      title: 'Scroll Methods',
      path: '/examples/scroll-to',
    },
    {
      title: 'Column Hovering',
      path: '/examples/column-hovering',
    },
  ],
}
